> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niadra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects

> The projects of the tenant, each with its sandbox and production spaces.



## OpenAPI

````yaml openapi/en/control.json GET /v1/projects
openapi: 3.1.0
info:
  title: Niadra control API
  version: '1'
  description: >-
    Tenants, projects, sources, keys, people, configuration and usage. It never
    receives customer content.
servers:
  - url: https://control.api.niadra.com
security: []
paths:
  /v1/projects:
    get:
      summary: List projects
      description: >-
        The projects of the tenant, each with its sandbox and production spaces.


        **Authentication.** Person token issued by the control plane
        (`Authorization: Bearer <JWT>`), with the role the operation needs.
      operationId: list_projects_v1_projects_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProjectOut'
                title: Response List Projects V1 Projects Get
                type: array
              example:
                - project_id: 0192f0a0-2c3d-7e4f-9a50-6b7c8d9e0f12
                  name: Support
                  slug: support
                  region: us-east-1
                  spaces:
                    - space_id: 0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23
                      project_id: 0192f0a0-2c3d-7e4f-9a50-6b7c8d9e0f12
                      environment: production
                      slug: acme-prod
                      region: us-east-1
                      cell_id: cell-1
                    - space_id: 0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a24
                      project_id: 0192f0a0-2c3d-7e4f-9a50-6b7c8d9e0f12
                      environment: sandbox
                      slug: acme-sandbox
                      region: us-east-1
                      cell_id: cell-1
          description: The projects.
      security:
        - personToken: []
components:
  schemas:
    ProjectOut:
      additionalProperties: false
      properties:
        name:
          title: Name
          type: string
        project_id:
          format: uuid
          title: Project Id
          type: string
        region:
          title: Region
          type: string
        slug:
          title: Slug
          type: string
        spaces:
          items:
            $ref: '#/components/schemas/SpaceOut'
          title: Spaces
          type: array
      required:
        - project_id
        - name
        - slug
        - region
        - spaces
      title: ProjectOut
      type: object
    SpaceOut:
      additionalProperties: false
      properties:
        cell_id:
          title: Cell Id
          type: string
        environment:
          $ref: '#/components/schemas/Environment'
        project_id:
          format: uuid
          title: Project Id
          type: string
        region:
          title: Region
          type: string
        slug:
          title: Slug
          type: string
        space_id:
          format: uuid
          title: Space Id
          type: string
      required:
        - space_id
        - project_id
        - environment
        - slug
        - region
        - cell_id
      title: SpaceOut
      type: object
    Environment:
      enum:
        - sandbox
        - production
      title: Environment
      type: string
  securitySchemes:
    personToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````